Subject: Re: linux-next: build failure after merge of the drm-misc tree

From: Lukas Wunner <[email-masked]>
Date: Wed, 10 Feb 2016 09:41:38 +0100

[cc += Rafael J. Wysocki, linux-acpi]

Hi Stephen,

On Wed, Feb 10, 2016 at 12:24:51PM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the drm-misc tree, today's linux-next build (arm
> multi_v7_defconfig) failed like this:
> 
> In file included from drivers/gpu/drm/nouveau/nouveau_drm.c:25:0:
> include/linux/apple-gmux.h: In function 'apple_gmux_present':
> include/linux/apple-gmux.h:36:42: error: implicit declaration of function 'acpi_dev_present' [-Werror=implicit-function-declaration]
>   return IS_ENABLED(CONFIG_APPLE_GMUX) && acpi_dev_present(GMUX_ACPI_HID);
>                                           ^
> 
> Caused by commit
> 
>   2413306c2566 ("apple-gmux: Add helper for presence detect")
> 
> I have used the drm-misc tree from next-20160209 for today.

Ugh, apologies, I didn't have a non-ACPI platform available to test
this on.

Solution is to either add to include/linux/acpi.h

static inline bool acpi_dev_present(const char *hid)
{
	return false;
}

somewhere below

#else	/* !CONFIG_ACPI */

or alternatively to add to include/linux/apple-gmux.h

IS_ENABLED(CONFIG_ACPI)

in apple_gmux_present().

I'll check the other users of acpi_dev_present() to see which of
these two solutions is more appropriate and will post a fix shortly.

Thanks a lot for reporting this.

Lukas
_______________________________________________
dri-devel mailing list
[email-masked]
https://lists.freedesktop.org/mailman/listinfo/dri-devel